edu.isi.pegasus.planner.catalog.site.classes

## Enum GridGateway.JOB_TYPE

- java.lang.Object
- - java.lang.Enum<GridGateway.JOB_TYPE>
  - - edu.isi.pegasus.planner.catalog.site.classes.GridGateway.JOB_TYPE

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<GridGateway.JOB_TYPE>

Enclosing class:
  GridGateway

    public static enum GridGateway.JOB_TYPE
    extends java.lang.Enum<GridGateway.JOB_TYPE>

An enumeration of types of jobs handled by an instance of a grid gateway.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`auxillary`
`cleanup`
`compute`
`register`
`transfer`

### Method Summary

All Methods Static Methods Concrete Methods
`static GridGateway.JOB_TYPE` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static GridGateway.JOB_TYPE[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### compute

    public static final GridGateway.JOB_TYPE compute

#### auxillary

    public static final GridGateway.JOB_TYPE auxillary

#### transfer

    public static final GridGateway.JOB_TYPE transfer

#### register

    public static final GridGateway.JOB_TYPE register

#### cleanup

    public static final GridGateway.JOB_TYPE cleanup

### Method Detail

#### values

    public static GridGateway.JOB_TYPE[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (GridGateway.JOB_TYPE c : GridGateway.JOB_TYPE.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static GridGateway.JOB_TYPE valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null